## gem 0.93.3

=== build/autoconf/Makefile ===
default %:
	make -C ../../src/ $@

=== debian/changelog ===
gem (1:0.93.3-18build1) disco; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 19:52:20 -0500

gem (1:0.93.3-18) unstable; urgency=medium

  * Explicitly disabled MMX on i386 (Closes: #909817)
  * Display Debian-version at splashscreen

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 20:42:22 +0200

gem (1:0.93.3-17) unstable; urgency=medium

  * Added patch for Pd-0.49 (Closes: #909824)
  * Only enable SIMD on amd64 platforms (Closes: #909817)
  * Don't require "root" for building
  * Bumped standards version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 13:11:11 +0200

gem (1:0.93.3-16) unstable; urgency=medium

  * Hopefully fixing ppc64el builds for real

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Apr 2018 22:48:37 +0200

gem (1:0.93.3-15) unstable; urgency=medium

  * Fixed FTBFS regression on ppc64el

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Apr 2018 10:20:48 +0200

gem (1:0.93.3-14) unstable; urgency=medium

  * Prepare for cross-compilation.
    * Added patch for cross-compilation safe check for PD_(MAJOR|MINOR)_VERSION.
      Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #893650)
    * Prepare d/rules for X-compilation
    * Don't use multi-arch for --lib and friends
  * d/rules: Simplified ppc64el special-handling
  * d/control: Adopted package into debian-multimedia team
  * d/copyright: Updated

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Apr 2018 21:33:55 +0200

gem (1:0.93.3-13) unstable; urgency=medium

  * Enabled hardening
  * gem-dev: Install platform-independend pkg-config script to /usr/share
  * gem-doc: Marked as Multi-Arch:foreign
  * Switched URLs to https://
  * Fixed spelling errors
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
    * Dropped d/README.source as it doesn't contain any useful information
  * Added d/copyright_hints
  * Bumped dh compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 22:58:19 +0100

gem (1:0.93.3-12) unstable; urgency=medium

  * Fixed searchpatch handling for Pd<>0.48 (Closes: #872906)
  * Use https:// for upstream homepage
  * Properly quote varargs in pd-gem wrapper
  * Avoid calling dpkg-parsechangelog in d/rules
  * Modernized Vcs-Browser stanza
  * Bumped dh compat to 10
  * Bumped standards-version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Aug 2017 14:31:23 +0200

gem (1:0.93.3-11) unstable; urgency=medium

  * debian/patches/searchpath.patch: update for puredata 0.48.0-1
  (closes: #872678)
  * debian/control: bump S-V to 4.0.0
  * debian/compat: bump to 9
  * debian/rules: move dh options after command

 -- Paul Brossier <piem@debian.org>  Sun, 20 Aug 2017 16:41:18 +0200

gem (1:0.93.3-10) unstable; urgency=medium

  * Made build reproducible.
  * Don't fail if 'find' is given a non-existing directory. (Closes: #806029)
  * Updated Vcs-* stanzas.
  * Switched to fonts-dejavu-core for the default font. (Closes: #815913)
  * Added debian/git-tuneclone.sh script.
    * Documented in debian/README.source
  * Removed Günter Geiger from Uploaders.
  * Bumped standards-version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Apr 2016 00:19:07 +0200

gem (1:0.93.3-9) unstable; urgency=medium

  * Prevent building against (unsupported) GraphicsMagick++

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Aug 2015 21:48:13 +0200

gem (1:0.93.3-8) unstable; urgency=medium

  * Disabled altivec on ppc64el (Closes: #768493)
  * Provided short-name for font-license in debian/copyright
  * Bumped standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Nov 2014 22:22:09 +0100

gem (1:0.93.3-7) unstable; urgency=medium

  * Changed B-D to libjpeg-dev for libjpeg-turbo transition (Closes: #763472)
    - Thanks to Ondřej Surý
  * Use autoreconf to fix builds on arm64
  * Fixed my uploader's name (again)
  * Re-enabled gem-plugin-mpeg3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Oct 2014 22:18:03 +0200

gem (1:0.93.3-6) unstable; urgency=medium

  * Disabled gem-plugin-mpeg3
  * Updated my uploader's name
  * Canonical Vcs-* stanzas
  * Bumped standards-version to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Tue, 04 Mar 2014 16:42:42 +0100

gem (1:0.93.3-5) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Include <unistd.h> on FreeBSD as well (Closes: #659747)

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 11 Jun 2012 15:45:54 +0200

gem (1:0.93.3-4) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Bumped to standards version to 3.9.3
  * Switched copyright to DEP-5 format
  * Enabled hardening
  * Included <unistd.h> when needed (Closes: #673286)
  * Fixed line-breaks in text-rendering objects
  * Re-added argument to [pix_film]
  * Fixed race condition in thread code
  * Applied upstream fix for spurious warnings related to imageStruct copies

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 11 Jun 2012 11:54:55 +0200

gem (1:0.93.3-3) unstable; urgency=low

  * include proper headers on kFreeBSD (Closes: 659747)
  * disable v4l building (since v4l1-support has been disabled as well)
  * disabled libdv on non-linux
  * force .pd_linux extension on all archs
    - puredata on Debian always uses the .pd_linux extension

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 17 Feb 2012 20:46:24 +0100

gem (1:0.93.3-2) unstable; urgency=low

  [ Paul Brossier ]
  * debian/rules: fix FTBFS of arch dep packages (closes: #655048)
  * debian/patches/: reduce warning messages output (closes: #655246)

  [ IOhannes m zmölnig ]
  * Added gem-dev package (Closes: #582555)


=== debian/control ===
Source: gem
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Paul Brossier <piem@debian.org>,
Homepage: https://gem.iem.at/
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/gem
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/gem.git
Build-Depends:
 debhelper (>=11~),
 autoconf,
 automake,
 pkg-config,
 puredata-dev | puredata (<<0.43),
 libxxf86vm-dev,
 libgl1-mesa-dev | libgl-dev,
 zlib1g-dev (>= 1:1.1.3),
 libglew1.6-dev | libglew-dev,
 libftgl-dev,
 libmagick++-dev,
 libjpeg-dev,
 libtiff-dev,
 libgmerlin-avdec-dev,
 libquicktime-dev,
 libmpeg3-dev,
 libdv4-dev [linux-any],
 libiec61883-dev [linux-any],
 libdc1394-22-dev [linux-any],
 libunicap2-dev [linux-any],
 libv4l-dev [linux-any],
Build-Conflicts: libgraphicsmagick++-dev
Rules-Requires-Root: no
Standards-Version: 4.2.1

Package: gem
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 puredata-core | pd,
Recommends:
 gem-doc,
 gem-extra,
 gem-plugin-gmerlin | gem-plugin-film,
 gem-plugin-magick | gem-plugin-image,
 gem-plugin-lqt | gem-plugin-record,
 gem-plugin-v4l2 | gem-plugin-video,
Suggests:
 pd-zexy,
 fonts-dejavu-core,
Description: Graphics Environment for Multimedia - Pure Data library
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package contains the core library.
 If you want to use external data (live video capture, film footage, still
 images,...), you have to install one (or all) of the gem-plugin-* packages.

Package: gem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 gem,
Replaces: gem (<< 1:0.93)
Breaks: gem (<< 1:0.93)
Description: Graphics Environment for Multimedia (documentation)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes the documentation for Gem.

Package: gem-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 puredata-dev | puredata (<<0.43),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libftgl-dev,
Suggests:
 pkg-config,
Recommends:
 gem,
Description: Graphics Environment for Multimedia (development files)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides the header-files for compiling externals (plugins) for
 Gem.

Package: gem-extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Description: Graphics Environment for Multimedia - extra objects
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes some contrib objects, mainly for tracking.
 Currently included objects are:
 [pix_mano], [pix_drum] tracking objects by Jaime Oliver
 [pix_fiducialtrack] reacTIVision-like tracking

Package: gem-plugin-gmerlin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-film
Description: Graphics Environment for Multimedia - GMERLIN support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the gmerlin-avdecoder library.

Package: gem-plugin-lqt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-film,
 gem-plugin-record
Description: Graphics Environment for Multimedia - LQT support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie input and output using the libquicktime
 library.

Package: gem-plugin-mpeg3
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-film
Description: Graphics Environment for Multimedia - MPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the libmpeg3 library (allowing
 you to read MPEG-1 and MPEG-2 video files)

Package: gem-plugin-magick
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - ImageMagick support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the ImageMagick library.

Package: gem-plugin-jpeg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - JPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libjpeg library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write jpeg images.

Package: gem-plugin-tiff
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - TIFF support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libtiff library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write TIFF images.

Package: gem-plugin-sgi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - SGI support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image loading for SGI images.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write(!) SGI
 images.

Package: gem-plugin-v4l2
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Suggests:
 v4l2loopback-dkms | v4l2loopback-modules,
Provides: gem-plugin-video,
 gem-plugin-record
Description: Graphics Environment for Multimedia - V4L2 output support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video input and output using V4L2.
 .
 For video output, you might want to use a loopback device, for which you will
 have to install the v4l2loopback kernel module as well.

Package: gem-plugin-dv4l
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-video
Description: Graphics Environment for Multimedia - DV support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using libdv, allowing you to capture from
 your consumer-grade ("firewire") DV-camcorder.

Package: gem-plugin-dc1394
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-video
Description: Graphics Environment for Multimedia - DC1394 support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using dc1394, allowing you to capture
 from your industry grade ("firewire") IIDC camera

Package: gem-plugin-unicap
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-video
Description: Graphics Environment for Multimedia - unicap support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using unicap.

=== debian/rules ===
#!/usr/bin/make -f

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## use hardening flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif

export PKGVERSION_CODENAME="Debian/$(DEB_VERSION)"

CPPFLAGS+=-DGEM_VERSION_CODENAME='"$(PKGVERSION_CODENAME)"'

ifeq ($(DEB_HOST_ARCH_CPU), ppc64el)
  CXXFLAGS+=-m64 -mcpu=powerpc
  CFLAGS+=-m64 -mcpu=powerpc
endif


archconfflags := \
	--libdir=\$${exec_prefix}/lib \
	--libexecdir=\$${exec_prefix}/lib \
	--with-pd=/usr/include/pd \
	--with-extension=pd_linux \
	--without-ALL \
	--with-glew \
	--with-ftgl \
	--with-ImageMagick \
	--with-jpeg \
	--with-tiff \
	--with-lqt \
	--with-libquicktime \
	--with-gmerlin_avdec \
	--with-libmpeg3 \
	--without-v4l \
	--without-libv4l1 \
	--with-v4l2 \
	--with-libv4l2 \
	--with-libdv \
	--with-libdc1394_2 \
	--with-libiec61883 \
	--with-libraw1394 \
	--with-unicap \
	--with-libunicap \
	--with-build-date="on $(BUILD_DATE)" \
	--with-default-font=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf

ifeq ($(DEB_HOST_ARCH_CPU), i386)
archconfflags += \
	--disable-mmx \
	$(empty)
endif

ifeq ($(DEB_HOST_ARCH_CPU), amd64)
archconfflags += \
	--enable-sse2 \
	$(empty)
endif

ifeq ($(DEB_HOST_ARCH_CPU), x32)
archconfflags += \
	--enable-sse2 \
	$(empty)
endif

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./doc/manual/.*\.jpg|\./doc/manual/.*\.gif|\./examples/10\.glsl/.*\.jpg|\./examples/12\.multi_screen_projection\/.*\.jpg|\./examples/data/.*|.*\.pdf$

%:
	dh $@

override_dh_auto_configure:
	CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" dh_auto_configure -- $(archconfflags)

override_dh_auto_test:
	# no actual 'make test' target

override_dh_install:
	dh_install
	# remove libtool files, they are not needed
	-find debian/gem-extra/usr/lib/ -name '*.la'  -delete
	# remove some assets
	-find debian/gem-doc/usr/share/ -name '*.ttf' -delete; \
	-find debian/gem-doc/usr/share/ -name '*.avi' -delete; \
	-find debian/gem-doc/usr/share/ -name '*.mov' -delete; \
	-find debian/gem-doc/usr/share/ -name '*.mpg' -delete; \
	# the following COPYING only contains license information for vera.ttf
	# which is not included in the Debian package
	-rm debian/gem-doc/usr/share/gem/examples/data/COPYING.txt
	# remove extra LICENSE files for gem-extra
	-rm -f debian/gem-extra/usr/lib/pd/extra/pix_mano/LICENSE.txt
	-rm -f debian/gem-extra/usr/lib/pd/extra/pix_drum/LICENSE.txt

# calculate proper dependencies (for .pd_linux files)
override_dh_shlibdeps:
	dh_shlibdeps
	-find debian/gem -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/gem.substvars {} +
	-find debian/gem-extra -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/gem-extra.substvars {} +

override_dh_strip:
	dh_strip
	-find debian -name "*.pd_linux" -exec \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +


override_dh_fixperms:
	dh_fixperms -Xpd-gem
	-chmod 0755 debian/gem/usr/bin/pd-gem
	-find debian -name '*.pd_linux' -exec \
		chmod 0644 {} +

override_dh_compress:
	dh_compress -X.pd -X.TIF -X.obj

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=3
https://sf.net/pd-gem/ Gem-(\d+)\.(\d+)\.(\d)\.tar\.gz

## gem 0.94~pre1

=== debian/changelog ===
gem (1:0.94~pre1-1) unstable; urgency=medium

  * New upstream version 0.94~pre1
    * Drop patches applied upstream
  * Add patch to allow linking against libGLEWmx
  * Use update-alternatives for selecting [gemdefaultwindow]
  * Note that users should prefer gem-plugin-gmerlin over gem-plugin-mpeg3
  * Dropped overrides for dh_strip/dh_shlibdeps, as this is handled by dh>=11
  * Refreshed d/copyright(_hints)
  * d/watch switched to new upstream repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Dec 2018 12:13:37 +0100

gem (1:0.93.3+20181212-1~exp1) experimental; urgency=medium

  * New upstream version 0.93.3+20181212
    * Removed patches applied upstream
  * Build with glew-mx
  * Enabled VLC, VNC, Assimp and DeckLink modules
  * Enabled GLUT, GLFW and SDL modules
  * Fixed spelling errors
  * Updated d/copyright
    * Refreshed d/copyright_hints
    * Excluded more binary files from copyright_check

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Dec 2018 20:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,12 @@
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  zlib1g-dev (>= 1:1.1.3),
- libglew1.6-dev | libglew-dev,
+ libglewmx-dev,
+ libglfw3-dev,
+ freeglut3-dev,
+ libsdl1.2-dev,
  libftgl-dev,
+ libfribidi-dev,
  libmagick++-dev,
  libjpeg-dev,
  libtiff-dev,
@@ -30,6 +34,9 @@
  libdc1394-22-dev [linux-any],
  libunicap2-dev [linux-any],
  libv4l-dev [linux-any],
+ libvlc-dev,
+ libvncserver-dev,
+ libassimp-dev,
 Build-Conflicts: libgraphicsmagick++-dev
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
@@ -47,6 +54,7 @@
  gem-plugin-magick | gem-plugin-image,
  gem-plugin-lqt | gem-plugin-record,
  gem-plugin-v4l2 | gem-plugin-video,
+ gem-plugin-assimp | gem-plugin-model,
 Suggests:
  pd-zexy,
  fonts-dejavu-core,
@@ -160,7 +168,10 @@
  computer music system.
  .
  This package provides film/movie decoding using the libmpeg3 library (allowing
- you to read MPEG-1 and MPEG-2 video files)
+ you to read MPEG-1 and MPEG-2 video files).
+ .
+ NOTE: the gem-plugin-gmerlin package allows you to read those files as well
+ in a more consistent/stable manner.
 
 Package: gem-plugin-magick
 Architecture: any
@@ -296,3 +307,68 @@
  computer music system.
  .
  This package provides video capturing using unicap.
+
+Package: gem-plugin-vnc
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-video
+Description: Graphics Environment for Multimedia - VNC support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides video capturing using vncserver
+
+Package: gem-plugin-vlc
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-video
+Description: Graphics Environment for Multimedia - VLC support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides video capturing using the VideoLAN-Client engine
+
+Package: gem-plugin-assimp
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-model
+Description: Graphics Environment for Multimedia - Assimp support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides model loading using Assimp.
+
+Package: gem-plugin-glfw3
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-window
+Description: Graphics Environment for Multimedia - GLFW3 support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides windowing using GLFW3.
+
+Package: gem-plugin-glut
+Architecture: any
+Depends:
+ ${misc:Depends},

## gem 0.94

=== debian/changelog ===
gem (1:0.94-9) unstable; urgency=medium

  * Recommend ttf-bitstream-vera (Closes: #1035851)
  * Cleanup build (Closes: #1044512)
    - Move 'clean' logic to d/clean
  * Switch to dh-sequence-puredata (and use the various substvars)
  * Build for both Pd32 and Pd64
  * Prefer Suggesting "pkgconf" over "pkg-config"
    - both for Build-Dependencies and Suggests
  * (Build-)Depend on the generic libgl(u)-dev rather than mesa-headers
  * Backport patch to completely disable plugins
  * Document how to chose the window backend
  * Lower the priority of the legacy SDL window backend
  * Fix lintian-override for embedded glew-mx
  * Modernize d/watch (still at version 4)
  * Drop obsolete Rules-Requires-Root stanza.
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 Jan 2026 21:33:29 +0100

gem (1:0.94-8) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2022 08:20:13 +0100

gem (1:0.94-7) unstable; urgency=medium

  * Fix FTBFS on ppc64el (Closes: #1005395) (LP: #1269021)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Feb 2022 23:30:31 +0100

gem (1:0.94-6) unstable; urgency=medium

  * Add patch to fix FTBFS with new gavl/gmerlin (Closes: #1005103)
  * Refresh patches with 'gbp pq'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Feb 2022 17:13:04 +0100

gem (1:0.94-5) unstable; urgency=medium

  * Patch to compile with Pd>=0.52
  * Fix dh_clean override
  * Suggest [declare -lib Gem] in d/README

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 15:52:26 +0100

gem (1:0.94-4) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop Recommends of ttf-bitstream-vera (Closes: #998273)
  * Fix long description (whitespace)
  * Drop B-D on autoconf/automake
  * Update lintian-override
  * Apply "warp-and-sort -ast"
  * Bump dates in d/copyright
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Dec 2021 12:52:27 +0100

gem (1:0.94-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Switch to libdc1394-dev (Closes: #970835)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Sep 2020 13:20:01 +0200

gem (1:0.94-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop B-D on libglew-mx (Closes: #941053)
    * Patch included embedded copy of glew.h
    * Add lintian-override for embedded copy of glew-mx
  * Drop useless line-continuation (Closes: #963417)
  * Drop unused d/alternatives as it breaks builds with dh>=13.1
  * Fix missing installs
    * Remove .la files from all installation directories
    * Call dh_install *after* removing extranous stuff from debian/tmp/
  * Fix path to doc-base files
  * Have gem-doc "recommend" DejaVu and BitStream-Vera fonts
    * Symlink vera.ttf to the font provided by ttf-bitstream-vera
  * Drop "./" from Files-stanzas in d/copyright
  * Fix encoding of d/README
  * Add salsa-ci configuration
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 0.83-1, 0.81-6, 0.81-5, 0.81-
    3, 0.81-2.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jun 2020 13:50:13 +0200

gem (1:0.94-1) unstable; urgency=medium

  * New upstream version 0.94
    * Dropped unneeded patches
  * Include imageSTB plugin
  * Sort B-Ds alphabetically
  * Refreshed d/copyright(_hints)
  * Bumped dh compat to 12
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Feb 2019 14:49:57 +0100

=== debian/control ===
Source: gem
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Paul Brossier <piem@debian.org>,
Homepage: https://gem.iem.at/
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/gem
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/gem.git
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
 freeglut3-dev,
 libassimp-dev,
 libdc1394-dev [linux-any],
 libdv4-dev [linux-any],
 libfribidi-dev,
 libftgl-dev,
 libgl-dev | libgl1-mesa-dev,
 libglfw3-dev,
 libgmerlin-avdec-dev,
 libiec61883-dev [linux-any],
 libjpeg-dev,
 libmagick++-dev,
 libmpeg3-dev,
 libquicktime-dev,
 libsdl1.2-dev,
 libtiff-dev,
 libunicap2-dev [linux-any],
 libv4l-dev [linux-any],
 libvlc-dev,
 libvncserver-dev,
 libxxf86vm-dev,
 pkgconf | pkg-config,
 puredata-dev | puredata (<< 0.43),
 zlib1g-dev,
Build-Conflicts:
 libgraphicsmagick++-dev,
Standards-Version: 4.7.2

Package: gem
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 gem-doc,
 gem-extra,
 gem-plugin-assimp | gem-plugin-model,
 gem-plugin-gmerlin | gem-plugin-film,
 gem-plugin-lqt | gem-plugin-record,
 gem-plugin-magick | gem-plugin-image,
 gem-plugin-v4l2 | gem-plugin-video,
 ${puredata:Recommends},
Suggests:
 fonts-dejavu-core,
 pd-zexy,
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Graphics Environment for Multimedia - Pure Data library
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package contains the core library.
 If you want to use external data (live video capture, film footage, still
 images, ...), you have to install one (or all) of the gem-plugin-* packages.

Package: gem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 fonts-dejavu-core,
 gem,
 ttf-bitstream-vera,
Description: Graphics Environment for Multimedia (documentation)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes the documentation for Gem.

Package: gem-dev
Section: libdevel
Architecture: all
Depends:
 libftgl-dev,
 libgl-dev | libgl1-mesa-dev,
 libglu-dev | libglu1-mesa-dev,
 puredata-dev | puredata (<<0.43),
 ${misc:Depends},
Suggests:
 pkgconf | pkg-config,
Recommends:
 gem,
Description: Graphics Environment for Multimedia (development files)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides the header-files for compiling externals (plugins) for
 Gem.

Package: gem-extra
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphics Environment for Multimedia - extra objects
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes some contrib objects, mainly for tracking.
 Currently included objects are:
 [pix_mano], [pix_drum] tracking objects by Jaime Oliver
 [pix_fiducialtrack] reacTIVision-like tracking

Package: gem-plugin-gmerlin
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-film,
Description: Graphics Environment for Multimedia - GMERLIN support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the gmerlin-avdecoder library.

Package: gem-plugin-lqt
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-film,
 gem-plugin-record,
Description: Graphics Environment for Multimedia - LQT support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie input and output using the libquicktime
 library.

Package: gem-plugin-mpeg3
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-film,
Description: Graphics Environment for Multimedia - MPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the libmpeg3 library (allowing
 you to read MPEG-1 and MPEG-2 video files).
 .
 NOTE: the gem-plugin-gmerlin package allows you to read those files as well
 in a more consistent/stable manner.

Package: gem-plugin-magick
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - ImageMagick support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the ImageMagick library.

Package: gem-plugin-jpeg
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - JPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libjpeg library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write jpeg images.

Package: gem-plugin-tiff
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - TIFF support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libtiff library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write TIFF images.

Package: gem-plugin-sgi
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - SGI support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image loading for SGI images.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write(!) SGI
 images.

Package: gem-plugin-v4l2
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 v4l2loopback-dkms | v4l2loopback-modules,
Provides:
 gem-plugin-record,
 gem-plugin-video,
Description: Graphics Environment for Multimedia - V4L2 output support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video input and output using V4L2.
 .
 For video output, you might want to use a loopback device, for which you will
 have to install the v4l2loopback kernel module as well.

Package: gem-plugin-dv4l
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - DV support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using libdv, allowing you to capture from
 your consumer-grade ("firewire") DV-camcorder.

Package: gem-plugin-dc1394
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - DC1394 support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using dc1394, allowing you to capture
 from your industry grade ("firewire") IIDC camera

Package: gem-plugin-unicap
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - unicap support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using unicap.

Package: gem-plugin-vnc
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - VNC support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using vncserver

Package: gem-plugin-vlc
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - VLC support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using the VideoLAN-Client engine

Package: gem-plugin-assimp
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-model,
Description: Graphics Environment for Multimedia - Assimp support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides model loading using Assimp.

Package: gem-plugin-glfw3
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-window,
Description: Graphics Environment for Multimedia - GLFW3 support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/pd/Gem/tags?sort=updated_desc -/archive/v?\d[\d.-]+/Gem-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
